Name:		dhcpd-pools
Version:	3.0
Release:	1%{?dist}
Summary:	ISC dhcpd lease analysis and reporting
License:	BSD
URL:		http://dhcpd-pools.sourceforge.net/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz

BuildRequires:	uthash-devel, gnulib-devel
BuildRequires:	gcc, automake, autoconf

%description
This is for ISC DHCP shared network and pool range usage analysis.  Purpose
of command is to count usage ratio of each IP range and shared network pool
which ISC dhcpd is in control of. Users of the command are most likely ISPs
and other organizations that have large IP space.

%prep
%setup -q

%build
# needed to handle gnulib/glibc compatibility
gnulib-tool --update
gnulib-tool --add-import
autoreconf -fiv

# configure to match OS install defaults
%configure \
    --with-dhcpd-conf=%{_sysconfdir}/dhcp/dhcpd.conf \
    --with-dhcpd-leases=%{_localstatedir}/lib/dhcpd/dhcpd.leases

make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
# make install installs docs, let rpmbuild handle it
rm -rf %{buildroot}%{_docdir}/%{name}

%files
%doc README THANKS TODO AUTHORS COPYING ChangeLog
%{_bindir}/*
%{_mandir}/man*/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*

%changelog
* Mon Jan 27 2020 Chris Adams <linux@cmadams.net> - 3.0-1
- initial RPM

